/***********************************************************************
  Este fichero es parte de BeHA, un compresor de proposito general.
  Copyright (C) 2000 Industrias O.S.G.
  Copyright (C) 1995 Harri Hirvola

  Este programa es software libre; puedes redistribuirlo y/o modificarlo
  bajo los terminos de la Licencia Publica General GNU (GNU/GPL) publicada
  por la Fundacion de Software Libre (FSF); sea la versin 2 de la Licencia,
  o (a tu opinion) o cualquier version posterior.

  Este programa es distribuido con la esperanza de que sea util, pero
  SIN NINGUNA GARANTIA. Mira los terminos de la Licencia Pblica General GNU
  (GNU/GPL) para mas detalles.
************************************************************************
        HA rutinas de E/S
***********************************************************************/

#define BLOCKLEN 	8192

extern unsigned char ib[],ob[];
extern int ibl,ibf,obl;
extern U32B icnt,ocnt,totalsize;

#define getbyte() (ibl>0?(--ibl,ib[ibf++]):(bread(),(ibl>0?--ibl,ib[ibf++]:-1)))
#define putbyte(c) {ob[obl++]=(c);if(obl==BLOCKLEN)bwrite();}
#define flush() bwrite()

#define CRCCALC		1	/* flag to setinput/setoutput */
#define PROGDISP	2	/* flog to setinput/setoutput */

extern void (*outspecial)(unsigned char *obuf, unsigned oblen);
extern unsigned (*inspecial)(unsigned char *ibuf, unsigned iblen);

void setoutput(int fh, int mode, char *name);
void setinput(int fh, int mode, char *name);
U32B getcrc(void);
void clearcrc(void);
void bread(void);
void bwrite(void);
