/***********************************************************************
  Este fichero es parte de BeHA, un compresor de proposito general.
  Copyright (C) 2000 Industrias O.S.G.
  Copyright (C) 1995 Harri Hirvola

  Este programa es software libre; puedes redistribuirlo y/o modificarlo
  bajo los terminos de la Licencia Publica General GNU (GNU/GPL) publicada
  por la Fundacion de Software Libre (FSF); sea la versin 2 de la Licencia,
  o (a tu opinion) o cualquier version posterior.

  Este programa es distribuido con la esperanza de que sea util, pero
  SIN NINGUNA GARANTIA. Mira los terminos de la Licencia Pblica General GNU
  (GNU/GPL) para mas detalles.
************************************************************************
        HA diccionario del "sliding window"
***********************************************************************/

void swd_init(U16B maxl, U16B bufl);	/* maxl=max len to be found  */
					/* bufl=dictionary buffer len */
					/* bufl+2*maxl-1<32768 !!! */
void swd_cleanup(void);
void swd_accept(void);
void swd_findbest(void);
void swd_dinit(U16B bufl);
void swd_dpair(U16B l, U16B p);
void swd_dchar(S16B c);

#define MINLEN 	3	/* Minimum possible match lenght for this */
			/* implementation */

extern U16B swd_bpos,swd_mlf;
extern S16B swd_char;	

