/***********************************************************************
  Este fichero es parte de BeHA, un compresor de proposito general.
  Copyright (C) 2000 Industrias O.S.G.
  Copyright (C) 1995 Harri Hirvola

  Este programa es software libre; puedes redistribuirlo y/o modificarlo
  bajo los terminos de la Licencia Publica General GNU (GNU/GPL) publicada
  por la Fundacion de Software Libre (FSF); sea la versin 2 de la Licencia,
  o (a tu opinion) o cualquier version posterior.

  Este programa es distribuido con la esperanza de que sea util, pero
  SIN NINGUNA GARANTIA. Mira los terminos de la Licencia Pblica General GNU
  (GNU/GPL) para mas detalles.
************************************************************************
        HA manejo de errores
***********************************************************************/

#define ERR_UNKNOWN     1       /* Error desconocido                    */
#define ERR_NOTIMP      2       /* Comando no implementado              */
#define ERR_ARCOPEN     3       /* No se puede abrir el archivo         */
#define ERR_MEM         4       /* Sin memoria                          */
#define ERR_NOHA        5       /* No es un archivo ha                  */
#define ERR_WRITE       6       /* Error de escritura                   */
#define ERR_READ        7       /* Error de lectura                     */
#define ERR_INT		8	/* Got signal...			*/
#define ERR_NOFILES     9       /* No se encontraron archivos           */
#define ERR_REMOVE	10	/* Could not remove 			*/
#define ERR_INVSW	11	/* Invalid switch			*/
#define ERR_TOONEW	12	/* Version identifier too high		*/
#define ERR_TOOOLD	13	/* Version identifier too old		*/
#define ERR_UNKMET	14	/* Unknown compression method		*/
#define ERR_SEEK	15	/* Lseek error				*/
#define ERR_OPEN	16	/* Could not open file			*/
#define ERR_MKDIR	17	/* Could not make directory		*/
#define ERR_CRC         18      /* Error de CRC                         */
#define ERR_WRITENN	19	/* Write error (no name)		*/
#define ERR_STAT	20	/* Stat failed				*/
#define ERR_DIROPEN     21      /* Open dir                             */
#define ERR_CORRUPTED   22      /* Corrupted archive                    */
#define ERR_SIZE        23      /* Wrong data type size                 */
#define ERR_HOW         24      /* How to handle                        */
#define ERR_RDLINK      25      /* error Readlink()                     */
#define ERR_MKLINK      26      /* error Symlinklink()                  */
#define ERR_MKFIFO      27      /* error Mkfifo()                       */
 
extern int inerror;             /* Valor del error actual */
extern int lasterror;           /* Valor del ultimo error */

void error(int fatal, int number, ...);

