/***********************************************************************
  Este fichero es parte de BeHA, un compresor de proposito general.
  Copyright (C) 2000 Industrias O.S.G.
  Copyright (C) 1995 Harri Hirvola

  Este programa es software libre; puedes redistribuirlo y/o modificarlo
  bajo los terminos de la Licencia Publica General GNU (GNU/GPL) publicada
  por la Fundacion de Software Libre (FSF); sea la versin 2 de la Licencia,
  o (a tu opinion) o cualquier version posterior.

  Este programa es distribuido con la esperanza de que sea util, pero
  SIN NINGUNA GARANTIA. Mira los terminos de la Licencia Pblica General GNU
  (GNU/GPL) para mas detalles.
************************************************************************
        HA fichero de inclusion principal
***********************************************************************/

#include "machine.h" 

#define VERSION  "1.00" 
#define BANNER  "BeHA " VERSION "\nCopyright (c) 2000 Industrias O.S.G.\nBased on HA 0.999B Copyright (C) 1995 Harri Hirvola\n"

#define CU_CANRELAX    0x01
#define CU_RELAXED     0x02
#define CU_FUNC        0x04
#define CU_RMFILE      0x08
#define CU_RMDIR       0x10

extern char *myname;			/* Name of this program 	*/
extern char **patterns;			/* List of file patterns 	*/
extern unsigned patcnt;			/* File pattern count 		*/
extern int quiet;			/* Be quiet !			*/
extern int useattr;			/* Set/get attributes		*/
extern int special;			/* Find special files		*/

extern unsigned char infodat[];         /* HA information data          */
extern unsigned infolen;                /* HA information data length   */

extern int sloppymatch;                 /* How to use path information in archive seeks */
extern int skipemptypath;               

/* Miscalneous routines */

void testsizes(void);
void *cu_add(unsigned char flags, ...);
void *cu_getmark(void);
void cu_relax(void *mark);
void cu_do(void *mark);
char *fullpath(char *path, char *name);
char *getpath(char *fullpath);
char *getname(char *fullpath);
void makepath(char *hapath);
int match(char *path, char *name);




