/***********************************************************************
  Este fichero es parte de BeHA, un compresor de proposito general.
  Copyright (C) 2000 Industrias O.S.G.
  Copyright (C) 1995 Harri Hirvola

  Este programa es software libre; puedes redistribuirlo y/o modificarlo
  bajo los terminos de la Licencia Publica General GNU (GNU/GPL) publicada
  por la Fundacion de Software Libre (FSF); sea la versin 2 de la Licencia,
  o (a tu opinion) o cualquier version posterior.

  Este programa es distribuido con la esperanza de que sea util, pero
  SIN NINGUNA GARANTIA. Mira los terminos de la Licencia Pblica General GNU
  (GNU/GPL) para mas detalles.
************************************************************************
        HA rutinas especificas de *nix / BeOS
***********************************************************************/

#include <unistd.h>
#include <sys/dir.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <signal.h>

typedef short S16B;
typedef unsigned short U16B;
typedef long S32B;
typedef unsigned long U32B;

#define EXAMPLE "\n examples : BeHA a21r foo /bar/* , BeHA l foo , BeHA xy foo" 
#define ALLFILES "*"
#define F_32B "ld"
#define FX_32B "lX"

#define O_BINARY  0

#define AO_FLAGS O_RDWR
#define AO_RDOFLAGS O_RDONLY
#define AC_FLAGS O_RDWR|O_CREAT,S_IREAD|S_IWRITE
/* #define DEF_FILEATTR S_IREAD|S_IWRITE */
/* #define DEF_DIRATTR  DEF_FILEATTR */
#define DEF_FILEATTR 0644
#define DEF_DIRATTR  0755

#define F_OK	0

#define md_curfilesize() filestat.st_size
#define md_curfiletime() filestat.st_mtime
#define md_strcase

extern struct stat filestat;

void md_init(void);	
/* char *md_strcase(char *s); */
char *md_arcname(char *name_req);
void md_gethdr(int len, int mode);
void md_puthdr(void);
int md_newfile(void);
int md_mkspecial(char *ofname,unsigned sdlen,unsigned char *sdata);
int md_filetype(char *path,char *name);
void md_listhdr(void);
void md_listdat(void);
char *md_timestring(unsigned long t);
void md_truncfile(int fh, U32B len);
char *md_tohapath(char *mdpath);
char *md_tomdpath(char *hapath);
char *md_strippath(char *mdfullpath);
char *md_stripname(char *mdfullpath);
char *md_pconcat(int delim, char *head, char *tail);
int md_namecmp(char *pat, char *cmp);
void md_setft(char *file,U32B time);
void md_setfattrs(char *file);
U32B md_systime(void);
